Subject: bug#2184: 23.0.60; performance issue since CVS 2009-01-30

From: poppyer <[email-masked]>
Date: Sat, 07 Feb 2009 19:55:49 +0800

Adrian Robert <[email-masked]> writes:

> This was a problem on all platforms and I believe it has now been
> fixed by a check-in 2009-02-07.  Please let me know, thanks!

Yes, confirmed issue resolved here.
Good job and thanks.

poppyer

>
>
>
>
>
> On Feb 4, 2009, at 3:53 PM, poppyer wrote:
>
>>
>> Adrian Robert <[email-masked]> writes:
>>
>>> I have not noticed performance problems here but there have been
>>> significant changes from 01/28 through today 02/04 and it is possible
>>> there are problems under some usage conditions.  First, could you
>>> test again using current CVS (including 02/04 changes)?  Also, is
>>> there an easy way to obtain the 100% CPU usage cases in a mode that
>>> comes with emacs?  What OS X version are you on?
>>
>> Yes, today 02-04 is the same, and I am using OSX 10.5.6.
>>
>> I am sorry but I am unable to reproduce it in other simple setup.
>>
>> However, we seem to trace down that the issue is about regular
>> expression matching, as also mention in:
>> http://lists.gnu.org/archive/html/emacs-devel/2009-02/msg00012.html,
>> there are some clue about function "re-search-forward"
>
> OK, thanks.  There were no OS X-specific changes in the RE area, and
> it sounds like other platforms are experiencing similar issues.